Skip to main content
GET
/
check-comment
Check Comment
curl --request GET \
  --url https://api.sorsa.io/v3/check-comment \
  --header 'ApiKey: <api-key>'
{
  "commented": true,
  "tweet": {
    "bookmark_count": 15,
    "conversation_id_str": "1782368585664626774",
    "created_at": "2024-01-15T10:30:00Z",
    "entities": [
      {
        "link": "https://t.co/example",
        "preview": "https://pbs.twimg.com/preview",
        "type": "photo"
      }
    ],
    "full_text": "Hello world",
    "id": "1782368585664626774",
    "in_reply_to_tweet_id": "1782368585664626000",
    "in_reply_to_username": "username",
    "is_quote_status": false,
    "is_replies_limited": false,
    "is_reply": false,
    "lang": "en",
    "likes_count": 200,
    "quote_count": 5,
    "quoted_status": "<unknown>",
    "reply_count": 10,
    "retweet_count": 50,
    "retweeted_status": "<unknown>",
    "user": {
      "bio_urls": [
        "<string>"
      ],
      "can_dm": false,
      "created_at": "2009-06-02T20:12:29Z",
      "description": "Bio text",
      "display_name": "Elon Musk",
      "favourites_count": 1200,
      "followers_count": 100000,
      "followings_count": 500,
      "id": "44196397",
      "location": "Austin, TX",
      "media_count": 300,
      "pinned_tweet_ids": [
        "<string>"
      ],
      "possibly_sensitive": false,
      "profile_background_image_url": "https://pbs.twimg.com/profile_banners/44196397/123",
      "profile_image_url": "https://pbs.twimg.com/profile_images/123/photo.jpg",
      "protected": false,
      "tweets_count": 5000,
      "username": "elonmusk",
      "verified": true
    },
    "view_count": 10000
  }
}

Authorizations

ApiKey
string
header
required

Query Parameters

Full URL of the tweet to check.

username
string

Twitter/X handle of the user being checked.

Twitter/X profile link of the user being checked.

user_id
string

Numeric Twitter/X user ID of the user being checked.

Response

OK

commented
boolean

true if the user has commented on the tweet.

tweet
object

The user's reply tweet data. Present only if commented is true.